Bridge Training
APIDealsId

Get a deal by ID

GET
/api/deals/{id}

Path Parameters

id*string

Deal ID

Response Body

application/json

application/json

curl -X GET "https://loading/api/deals/abc-123"
{
  "cards": {
    "N": {
      "S": "AKQ2",
      "H": "JT9",
      "D": "876",
      "C": "543"
    },
    "E": {
      "S": "AKQ2",
      "H": "JT9",
      "D": "876",
      "C": "543"
    },
    "S": {
      "S": "AKQ2",
      "H": "JT9",
      "D": "876",
      "C": "543"
    },
    "W": {
      "S": "AKQ2",
      "H": "JT9",
      "D": "876",
      "C": "543"
    }
  },
  "teaching": "show-contract",
  "declarer": "N",
  "auction": {
    "first": "N",
    "N": [
      "string"
    ],
    "E": [
      "string"
    ],
    "S": [
      "string"
    ],
    "W": [
      "string"
    ]
  },
  "player": "N",
  "contract": "3NT",
  "pbn": "string",
  "vuln": "",
  "scoring": "IMP",
  "result": "10",
  "notes": {
    "auctionIndices": [
      0
    ],
    "auction": [
      {
        "text": "string"
      }
    ]
  },
  "play": {
    "first": "N",
    "N": [
      "string"
    ],
    "E": [
      "string"
    ],
    "S": [
      "string"
    ],
    "W": [
      "string"
    ]
  }
}
{
  "code": "string",
  "message": "string",
  "meta": {
    "property1": null,
    "property2": null
  }
}